## kuser 4.13.0

=== CMakeLists.txt ===
project(kuser)

# search packages used by KDE
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

include_directories (${QDBUS_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

find_package(KdepimLibs REQUIRED)

include(CheckFunctionExists)
include(CheckLibraryExists)

include(TestBigEndian)

add_subdirectory(pics)
add_subdirectory(toolbar)
add_subdirectory(icon)
add_subdirectory(doc)

# use the project-specific _SOURCE_DIR variable (set by the project() call above), Alex
include_directories(${kuser_SOURCE_DIR} ${KDEPIMLIBS_INCLUDE_DIR})

set(KU_HOMEDIR_PERM 0700 CACHE STRING "Default home directory permissions")
set(KU_MAILBOX_GID 0 CACHE STRING "Default GID of the created mbox file")
set(KU_MAILBOX_PERM 0660 CACHE STRING "Default mbox file permissions")
set(KU_HOMETEMPLATE "/home/%u" CACHE STRING "Default home directory template")
set(KU_FIRSTUID 500 CACHE STRING "First UID of normal users")
set(KU_FIRSTGID 500 CACHE STRING "First GID of normal users")
set(KU_USERPRIVATEGROUP true CACHE STRING "User private groups by default")

check_include_files(shadow.h HAVE_SHADOW_H)
check_include_files(crypt.h HAVE_CRYPT_H)
check_include_files(sys/stat.h HAVE_SYS_STAT_H)
check_include_files(unistd.h HAVE_UNISTD_H)
check_include_files(paths.h HAVE_PATHS_H)
check_library_exists(crypt crypt "" HAVE_CRYPT_LIBRARY)

set(CMAKE_REQUIRED_INCLUDES pwd.h)
check_function_exists(fgetpwent HAVE_FGETPWENT)
set(CMAKE_REQUIRED_INCLUDES grp.h)
check_function_exists(fgetgrent HAVE_FGETGRENT)
set(CMAKE_REQUIRED_INCLUDES shadow.h)
check_function_exists(fgetspent HAVE_FGETSPENT)

test_big_endian(WORDS_BIGENDIAN)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ku_config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/ku_config.h)


set(kuser_SRCS
	ku_mainwidget.cpp
	ku_mainview.cpp
	ku_edituser.cpp
	ku_editgroup.cpp
	ku_usermodel.cpp
	ku_groupmodel.cpp
	ku_deluser.cpp
	ku_user.cpp
	ku_group.cpp
	ku_main.cpp
	ku_misc.cpp
	ku_pwdlg.cpp
	ku_adduser.cpp
	ku_configdlg.cpp
	ku_global.cpp
	sid.cpp
	ku_userfiles.cpp
	ku_groupfiles.cpp
	ku_userldap.cpp
	ku_groupldap.cpp
	ku_usersystem.cpp
	ku_groupsystem.cpp
	ku_selectconn.cpp
)

kde4_add_kcfg_files(kuser_SRCS ku_prefs.kcfgc)

kde4_add_ui_files(kuser_SRCS ku_filessettings.ui ku_generalsettings.ui ku_ldapsettings.ui ku_ldapsamba.ui ku_passwordpolicy.ui)

kde4_add_executable(kuser ${kuser_SRCS})

target_link_libraries(kuser ${KDE4_KIO_LIBS} ${KDE4_KLDAP_LIBS} kntlm)
if(HAVE_CRYPT_LIBRARY)
	target_link_libraries(kuser crypt)
endif(HAVE_CRYPT_LIBRARY)

install(TARGETS kuser ${INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install(PROGRAMS kuser.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES kuserui.rc DESTINATION ${DATA_INSTALL_DIR}/kuser)
install(FILES kuser.kcfg  DESTINATION ${KCFG_INSTALL_DIR})

=== doc/CMakeLists.txt ===
########### install files ###############
#
#
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kuser)

=== pics/CMakeLists.txt ===
install( FILES group.png user.png   DESTINATION  ${DATA_INSTALL_DIR}/kuser/pics/ )

## kuser 4.11.2

=== debian/changelog ===
kuser (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:44:40 +0100

kuser (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:34:13 +0100

kuser (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:32:02 +0100

kuser (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:54:59 +0100

kuser (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:14 +0000

kuser (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:25:32 +0100

kuser (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Initial package split from kdeadmin

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 02:07:37 +0100

=== debian/control ===
Source: kuser
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdepimlibs5-dev (>= 4:4.11.2)
Standards-Version: 3.9.4
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kuser
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kuser

Package: kuser
Section: admin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: user and group administration tool
 KUser is an application for managing users and groups on your system.
 .
 This package is part of the KDE administration module.

Package: kuser-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, kde-runtime-dbg
Suggests: kuser (= ${source:Version})
Breaks: kdeadmin-dbg (<< 4:4.10.80)
Replaces: kdeadmin-dbg (<< 4:4.10.80)
Priority: extra
Description: debugging symbols for kuser
 This package contains the debugging symbols associated with kdeadmin.
 They will automatically be used by gdb for debugging kuser-related
 issues.
 .
 This package is part of the KDE administration module.

## kuser 4.12.2

=== debian/changelog ===
kuser (4:4.12.2-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:15 +0200

kuser (4:4.12.2-1) experimental; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:48 +0100

kuser (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 20:32:47 +0100

kuser (4:4.11.2-1) experimental; urgency=low

  * First release of kdeadmin after being split by upstream.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 12:03:03 +0200

=== debian/control ===
Source: kuser
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               docbook-to-man,
               kde-sc-dev-latest (>= 4:4.12),
               kdepimlibs5-dev (>= 4:4.11),
               nepomuk-core-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kuser.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kuser.git

Package: kuser
Section: admin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter4
Description: user and group administration tool
 KUser is an application for managing users and groups on your system.
 .
 This package is part of the KDE administration module.

## kuser 4.13.0

=== debian/changelog ===
kuser (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:19:22 +0100

kuser (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:46:33 +0200

kuser (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:46:12 +0100

kuser (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:32:56 +0000

kuser (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:07:17 +0100

kuser (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:18:30 +0000

kuser (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:32:53 +0000

kuser (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:31:36 +0000

kuser (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:30:23 +0000

kuser (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:27:32 +0100

kuser (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:52:33 +0100

=== debian/control ===
Source: kuser
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdepimlibs5-dev (>= 4:4.13.0)
Standards-Version: 3.9.4
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kuser
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kuser

Package: kuser
Section: admin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: user and group administration tool
 KUser is an application for managing users and groups on your system.
 .
 This package is part of the KDE administration module.

Package: kuser-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, kde-runtime-dbg
Suggests: kuser (= ${source:Version})
Breaks: kdeadmin-dbg (<< 4:4.10.80)
Replaces: kdeadmin-dbg (<< 4:4.10.80)
Priority: extra
Description: debugging symbols for kuser
 This package contains the debugging symbols associated with kdeadmin.
 They will automatically be used by gdb for debugging kuser-related
 issues.
 .
 This package is part of the KDE administration module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=kuser-dbg

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kuser-([\d\.]*).tar.xz

## kuser 4.14.1

=== debian/changelog ===
kuser (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:42:18 +0200

kuser (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:28:57 +0200

kuser (4:4.13.97-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release RC

  [ Jonathan Riddell ]
  * Remove unused nepomuk-core-dev build-dep

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:17:22 +0200

kuser (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:41:54 +0200

kuser (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:33:04 +0200

kuser (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:42:01 +0100

=== debian/control ===
Source: kuser
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               docbook-to-man,
               kde-sc-dev-latest (>= 4:4.12),
               kdepimlibs5-dev (>= 4:4.14.1),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kuser
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kuser
X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kuser.git
X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kuser.git

Package: kuser
Section: admin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter4
Description: user and group administration tool
 KUser is an application for managing users and groups on your system.
 .
 This package is part of the KDE administration module.

## kuser 4.14.2

=== debian/changelog ===
kuser (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 17:02:25 +0200

kuser (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:18:38 -0700

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                docbook-to-man,
-               kde-sc-dev-latest (>= 4:4.12),
-               kdepimlibs5-dev (>= 4:4.14.1),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdepimlibs5-dev (>= 4:4.14.2),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org/

## kuser 14.12.3

=== debian/changelog ===
kuser (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:32:10 -0700

kuser (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with 
    remote site does not even have current version

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:35:29 -0800

kuser (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.
  * Remove kdepimlibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 12 Dec 2014 11:34:09 -0800

kuser (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream RC release
  * Merge with Debian, remaining changes:
   - Remove unused nepomuk-core-dev build-dep

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Dec 2014 18:03:48 +0100

kuser (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:18:38 -0700

=== debian/control ===
Source: kuser
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               docbook-to-man,
               kde-sc-dev-latest (>= 4:4.12),
               kdepimlibs5-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kuser.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kuser.git

Package: kuser
Section: admin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: user and group administration tool
 KUser is an application for managing users and groups on your system.
 .
 This package is part of the KDE administration module.

## kuser 15.08.2

=== debian/changelog ===
kuser (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:53:57 +0100

kuser (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:35:38 +0100

kuser (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:44:04 +0100

kuser (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:21:29 +0100

kuser (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:40:31 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                kde-sc-dev-latest (>= 4:4.12),
                kdepimlibs5-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kuser.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kuser.git

## kuser 15.12.3

=== debian/changelog ===
kuser (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:14:13 -0700

kuser (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release
  * Merged with Debian

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:24:05 +0100

kuser (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * Fixes FTBFS. (Closes: #808740)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:44 +0100

kuser (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).
  * Bump Standards-Version to 3.9.6.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:05 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
            Eshat Cakar <info@eshat.de>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                docbook-to-man,
                kde-sc-dev-latest (>= 4:4.12),
@@ -16,8 +16,8 @@
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kuser.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kuser.git
+Vcs-Browser: http://anonscm.debian.org/cgit/kde/kde-applications/kuser.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kuser.git
 
 Package: kuser
 Section: admin

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kuser-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kuser-([\d.]+).tar.xz

## kuser 16.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+cmake_minimum_required(VERSION 2.8.9)
 project(kuser)
 
 # search packages used by KDE
@@ -15,6 +16,7 @@
 find_package(KdepimLibs REQUIRED)
 
 include(CheckFunctionExists)
+include(CheckIncludeFiles)
 include(CheckLibraryExists)
 
 include(TestBigEndian)
@@ -86,7 +88,7 @@
 
 kde4_add_executable(kuser ${kuser_SRCS})
 
-target_link_libraries(kuser ${KDE4_KIO_LIBS} ${KDE4_KLDAP_LIBS} kntlm)
+target_link_libraries(kuser ${KDE4_KIO_LIBS} ${KDE4_KLDAP_LIBS} ${KDE4_TARGET_PREFIX}kntlm)
 if(HAVE_CRYPT_LIBRARY)
 	target_link_libraries(kuser crypt)
 endif(HAVE_CRYPT_LIBRARY)

=== debian/changelog ===
kuser (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Stop forcing the local installation to debian/tmp, letting the package
    directory as install place.
    - remove kuser.install, no more used now
  * Fix typo in man page.
  * Explicitly add kdelibs5-dev as build dependency, so a null phonon backend
    is installed.

 -- Pino Toscano <pino@debian.org>  Sun, 28 Aug 2016 07:16:34 +0200

kuser (4:15.12.0-3) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 12:52:49 +0200

kuser (4:15.12.0-2) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Tue, 10 May 2016 15:33:54 +0200

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,13 @@
                debhelper (>= 9),
                docbook-to-man,
                kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev,
                kdepimlibs5-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/kde/kde-applications/kuser.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kuser.git
+Vcs-Browser: https://anonscm.debian.org/git/kde/kde-applications/kuser.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kuser.git
 
 Package: kuser
 Section: admin

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kuser-([\d.]+).tar.xz
